<?php

declare(strict_types=1);

namespace RprtCli\Utils\TimeTrackingServices;

interface YoutrackInterface
{
    /**
     * Check if client can sign into youtrack with provided token.
     */
    public function testYoutrackapi(): ?string;

    /**
     * Get the id of the report from configuration.
     */
    public function getReportId(): ?string;

    /**
     * Downloads report and returns file path.
     *
     *
     *   Youtrack internal report id.
     *
     *
     *   If fetch was unsuccssefull return false, otherwise the file path.
     */
    public function downloadReport(string $report_id): ?string;

    /**
     * Get a list of reports.
     *
     *
     *   Array of reports with ids as keys and names as values.
     */
    public function listReports(): array;

    public function setReportId(string $report_id): void;

    public function setReportName(?string $report_name = null): void;

    public function getReportName(): ?string;
}
